Bug 182451 - Active connections not indicated in Manage Connections dialog
Summary: Active connections not indicated in Manage Connections dialog
Status: RESOLVED FIXED
Alias: None
Product: Network Management
Classification: Miscellaneous
Component: Control Module (show other bugs)
Version: 0.7
Platform: Ubuntu Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-30 16:46 UTC by Scott Martin
Modified: 2011-07-07 21:16 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: nm09 branch


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Scott Martin 2009-01-30 16:46:40 UTC
Version:            (using KDE 4.2.0)
OS:                Linux
Installed from:    Ubuntu Packages

In the "Edit Connections" dialog, it isn't shown if any of the connections are active - making it possible to accidentally delete the connection you're currently using. This is even more of a problem if you have more than one connection listed with the same ESSID (perhaps by mistake, which is how I noticed this).
Comment 1 Will Stephenson 2009-02-05 13:21:07 UTC
*** This bug has been confirmed by popular vote. ***
Comment 2 Lamarque V. Souza 2011-07-07 21:16:35 UTC
Git commit 89ec085881aca7af05f6bc1a7f0e15d9232d85b5 by Lamarque V. Souza.
Committed on 07/07/2011 at 23:14.
Pushed by lvsouza into branch 'nm09'.

Indicate active connections in Manager Connections widget.

BUG: 182451
FIXED-IN: nm09 branch

M  +17   -69   settings/config/manageconnectionwidget.cpp     
M  +25   -0    settings/config/manageconnectionwidget.ui     
M  +5    -0    solidcontrolfuture/libs/solid/control/ifaces/networkinterface.h     
M  +5    -0    solidcontrolfuture/libs/solid/control/ifaces/networkmanager.h     
M  +6    -0    solidcontrolfuture/libs/solid/control/networkinterface.cpp     
M  +5    -0    solidcontrolfuture/libs/solid/control/networkinterface.h     
M  +5    -0    solidcontrolfuture/libs/solid/control/networkmanager.cpp     
M  +5    -0    solidcontrolfuture/libs/solid/control/networkmanager.h     
M  +1    -0    solidcontrolfuture/solid/networkmanager-0.9/CMakeLists.txt     
M  +15   -0    solidcontrolfuture/solid/networkmanager-0.9/dbus/introspection/nm-active-connection.xml     
M  +9    -1    solidcontrolfuture/solid/networkmanager-0.9/dbus/introspection/nm-device.xml     
A  +28   -0    solidcontrolfuture/solid/networkmanager-0.9/dbus/nm-active-connectioninterface.cpp         [License: GENERATED FILE]  *
A  +75   -0    solidcontrolfuture/solid/networkmanager-0.9/dbus/nm-active-connectioninterface.h         [License: GENERATED FILE]  *
M  +9    -5    solidcontrolfuture/solid/networkmanager-0.9/dbus/nm-deviceinterface.h     
M  +13   -1    solidcontrolfuture/solid/networkmanager-0.9/manager.cpp     
M  +1    -0    solidcontrolfuture/solid/networkmanager-0.9/manager.h     
M  +7    -1    solidcontrolfuture/solid/networkmanager-0.9/networkinterface.cpp     
M  +2    -1    solidcontrolfuture/solid/networkmanager-0.9/networkinterface.h     
M  +1    -1    solidcontrolfuture/solid/networkmanager-0.9/networkinterface_p.h     

The files marked with a * at the end have a non valid license. Please read: http://techbase.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


http://commits.kde.org/networkmanagement/89ec085881aca7af05f6bc1a7f0e15d9232d85b5